
<div *ngIf="authority">
    <h2><span jhiTranslate="pcidssApp.authority.detail.title">Authority</span> {{authority.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="pcidssApp.authority.name">Name</span></dt>
        <dd>
            <span>{{authority.name}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.authority.privilege">Privilege</span></dt>
        <dd>
            <span *ngFor="let privilege of authority.privileges; let last = last">
                <a [routerLink]="['/privilege', privilege?.id ]">{{privilege.name}}</a>{{last ? '' : ', '}}
            </span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'authority/'+ authority.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
